Skip to main content
PUT
/
webhook_endpoints
/
{lago_id}
Update a webhook endpoint
curl --request PUT \
  --url https://core.nozle.app/api/v1/webhook_endpoints/{lago_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "webhook_endpoint": {
    "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "lago_organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "webhook_url": "Prepaid",
    "created_at": "2022-04-29T08:59:51Z",
    "signature_algo": "hmac"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lago_id
string<uuid>
required

Unique identifier assigned to the webhook endpoint within the Lago application. This ID is exclusively created by Lago and serves as a unique identifier for the webhook endpoint's record within the Lago system.

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

Body

application/json

Webhook Endpoint update payload

webhook_endpoint
object

Response

Webhook Endpoint updated

webhook_endpoint
object
required